| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::TemplateManager Class Reference
Inheritance diagram for Digikam::TemplateManager:

## Signals
void | signalTemplateAdded (const Template &)
void | signalTemplateRemoved (const Template &)

## Public Member Functions
void | clear ()
Template | findByContents (const Template &tref) const
Template | findByTitle (const QString &title) const
Template | fromIndex (int index) const
void | insert (const Template &t)
bool | load ()
void | remove (const Template &t)
bool | save ()
QList< Template > | templateList () const

## Static Public Member Functions
static TemplateManager * | defaultManager ()